"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var vue_use_kit_1 = require("../../vue-use-kit");
var noop = function () { return null; };
function useTimeout(ms, runOnMount) {
    if (ms === void 0) { ms = 0; }
    if (runOnMount === void 0) { runOnMount = true; }
    var _a = vue_use_kit_1.useTimeoutFn(noop, ms, runOnMount), isReady = _a.isReady, isIdle = _a.isIdle, cancelTimer = _a.cancelTimer, resetTimer = _a.resetTimer;
    return { isReady: isReady, isIdle: isIdle, cancelTimer: cancelTimer, resetTimer: resetTimer };
}
exports.useTimeout = useTimeout;
